%define name bashburn
%define version 3.1.0
%define release %mkrel 1

Summary: A bash script designed to make CD burning
Summary(de): Ein Bash Script erstellt zum CD brennen.
Name:	 %{name}
Version: %{version}
Release: %{release}
License: GPL
Source:  http://bashburn.sourceforge.net/BashBurn-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Group:	Archiving/Backup
URL:	http://bashburn.dose.se/
BuildArch: noarch
Requires: cdparanoia
Requires: cdrdao
Requires: dvd+rw-tools
Requires: eject
Requires: flac
Requires: lame
Requires: mpg123
Requires: vorbis-tools
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %name < %version

%description
BashBurn is a collection of bashscripts written to make CD/DVD-burning 
in the console easier, without the need for a lot of libraries like GTK 
or QT for a pretty GUI.

#german
%description -l de
BashBurn ist ein kleines Skript für die Bash zur Erleichterung des 
CD-Brennens auf der Konsole. BashBurn bietet dafür einfache Menüs an 
und ist daher für Anfänger etwas komfortabler als cdrecord direkt 
auf der Konsole.

Das Programm gilt als sehr zuverlaessig und komfortabel, einmal 
konfiguriert erweist sich das Brennen von Audio-, Daten und ISO-CDs 
als ebenso einfach wie mit grafischen Programmen. Das Script erwartet 
keine Parametereingaben, sondern in einem komfortablen Menue koennen 
mit Eingabe der Zahlen 1-10 die einzelnen Funktionen aufgerufen werden. 
Im Gegensatz zu manchem grafischen Brennprogramm ist hier sowohl die 
Konfiguration recht leicht, als auch die Anwendung 100-prozentig 
zuverlaessig.
 

%prep
%setup -q -n BashBurn-%{version}
sed -i "s|@@BBROOTDIR@@|%{_datadir}/BashBurn|" BashBurn.sh

rm Install.sh

%build
pushd bashburn_man
%make
popd

%install

install -dm 755 %{buildroot}%{_bindir}
install -m 755  BashBurn.sh %{buildroot}%{_bindir}

pushd %{buildroot}%{_bindir}
	%__ln_s BashBurn.sh bashburn
popd

install -dm 755 %{buildroot}%{_datadir}/BashBurn
for i in burning config convert func menus misc; do
install -dm 755 %{buildroot}%{_datadir}/BashBurn/$i
install -m 644 $i/* %{buildroot}%{_datadir}/BashBurn/$i
done

cp -a lang %{buildroot}%{_datadir}/BashBurn

install -dm 755 %{buildroot}%{_mandir}/man1
install -m 644 bashburn_man/*.1 %{buildroot}%{_mandir}/man1



%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
%{_bindir}/*
%{_datadir}/BashBurn
%{_mandir}/man1/bashburn*

%changelog
* Sat Jul 16 2016 adrianomorselli <adrianomorselli> 3.1.0-1uplos2013
- rebuild

* Fri Apr 26 2013 Texstar <texstar at gmail.com> 3.1.0-1pclos2013
- 3.1.0

* Tue Dec 01 2009 slick50 <lxgator@gmail.com> 3.0.1-1pclos2010
- import
